'''Python support for Gramine'''
import os as _os

__version__ = '1.0'

_CONFIG_PKGLIBDIR = '/usr/lib/x86_64-linux-gnu/gramine'
_CONFIG_LIBDIR = '/usr/lib/x86_64-linux-gnu'

if __version__.startswith('@') and not _os.getenv('GRAMINE_IMPORT_FOR_SPHINX_ANYWAY') == '1':
    raise RuntimeError(
        'You are attempting to run the tools from repo, without installing. '
        'Please install Gramine before running Python tools. See '
        'https://gramine.readthedocs.io/en/latest/building.html.')

# pylint: disable=wrong-import-position
from .gen_jinja_env import make_env

_env = make_env()

from .manifest import Manifest, ManifestError
if '1' == '1':
    from .sgx_get_token import get_token
    from .sgx_sign import get_tbssigstruct, sign_with_local_key
    from .sigstruct import Sigstruct
